Dash: Alt-F2 box hint says "Search commands" not "Run a command"/"Execute command"

Bug #733897 reported by Ralf Hildebrandt on 2011-03-12
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Unity
Fix Released
Medium
Didier Roche
unity-2d
High
Ugo Riboni
unity-lens-applications
Medium
Didier Roche
unity-lens-files
Medium
Didier Roche
unity (Ubuntu)
High
Unassigned
Natty
High
Unassigned
unity-place-applications (Ubuntu)
Undecided
Unassigned
Natty
Undecided
Unassigned
unity-place-files (Ubuntu)
Undecided
Unassigned
Natty
Undecided
Unassigned

Bug Description

Binary package hint: unity

Instead, the compiz log shows:

** (<unknown>:25304): WARNING **: void PlacesView::PlaceEntryActivateRequest(const char*, guint, const char*): Unable to find entry: /com/canonical/unity/applicationsplace/runner for request: 0

ProblemType: Bug
DistroRelease: Ubuntu 11.04
Package: unity 3.6.4-0ubuntu1
ProcVersionSignature: Ubuntu 2.6.38-6.34-generic 2.6.38-rc7
Uname: Linux 2.6.38-6-generic x86_64
Architecture: amd64
CompizPlugins: [core,bailer,detection,composite,opengl,decor,mousepoll,vpswitch,regex,animation,snap,expo,move,compiztoolbox,place,gnomecompat,wall,ezoom,workarounds,staticswitcher,resize,fade,scale,session,unityshell]
Date: Sat Mar 12 17:35:46 2011
ProcEnviron:
 LANGUAGE=en_US:en
 LANG=de_DE.UTF-8
 LC_MESSAGES=en_US.utf8
 SHELL=/bin/bash
SourcePackage: unity
UpgradeStatus: Upgraded to natty on 2010-08-14 (209 days ago)

Related branches

 status confirmed

Here, I get the dash search, when I should get something more like gmrun.

Mark

Changed in unity (Ubuntu):
status: New → Confirmed

Thanks for the bug report Ralf, Mark.

I don't really get what you are telling though. When you press alt + F2, you should get a "Search Commands" dash, similar to gmrun "Run a command" functionality.
If you then enters something, you get the result for command searching. Isn't what you get?

After this particular upgrade, you should have least have logout/login once to restart the application place daemon to get a synced model.

Changed in unity (Ubuntu):
status: Confirmed → Incomplete
Paul Sladen (sladen) wrote :

Perhaps there are bugs in the present implementation and that's the confusion if I do:

  1. Alt-F2 ("Search Commands" appears)
  2. xterm [Enter]
  3. Two copies of Evince appear

Expected: one copy of xterm

Didier Roche (didrocks) wrote :

@Paul: this is another bug where [Enter] doesn't start the first item of the first group, but the first item of the second group there (the history in your case, where you have evince probably). There is no bug yet about it, care to report it?

Didier Roche (didrocks) wrote :

@Paul: your particular issue of enter not triggering the right thing in the dash has been fixed this week-end by Neil (bug #73473). Keeping this one separated.

Paul Sladen (sladen) wrote :

Didrocks: ta! Reported:

  bug #734740 ("Dash: Alt-F2 gives no indication it is any different to using Super")
  bug #734743 ("Dash: Alt-F2 xyz [enter] launches items from second group, not commandline typed")

Didier Roche (didrocks) wrote :

Ok, think that putting "Run a command" in the search field will help feeling the difference as well. Using this bug for that task.
There should be changes in:
- both places to add a new Key "SearchHint=" to define the search… hint :)
- Unity to no more aggregate "Search" + place_name and use this new entry
- Unity2d to do the same.

Changed in unity:
status: New → Triaged
Changed in unity-place-files:
status: New → Triaged
Changed in unity (Ubuntu):
status: Incomplete → Triaged
Changed in unity-place-files:
importance: Undecided → Medium
Changed in unity-2d:
status: New → Triaged
Changed in unity-place-applications:
assignee: nobody → Didier Roche (didrocks)
Changed in unity:
assignee: nobody → Didier Roche (didrocks)
Changed in unity-place-files:
assignee: nobody → Didier Roche (didrocks)
Changed in unity:
milestone: none → 3.6.6
Changed in unity-2d:
assignee: nobody → Didier Roche (didrocks)
importance: Undecided → Medium
Changed in unity-place-applications:
status: New → Triaged
Changed in unity-2d:
importance: Medium → High
status: Triaged → Confirmed
Didier Roche (didrocks) on 2011-03-14
Changed in unity:
importance: Undecided → Medium
Changed in unity-2d:
milestone: none → 3.8
Didier Roche (didrocks) on 2011-03-14
Changed in unity-place-applications:
importance: Undecided → Medium
Changed in unity-2d:
assignee: Didier Roche (didrocks) → Ugo Riboni (uriboni)
Changed in unity (Ubuntu):
importance: Undecided → High
Paul Sladen (sladen) wrote :

Tweak title per Didrocks in comment #8.

summary: - alt-f2 doesn't bring up an "Execute command" box
+ Dash: Alt-F2 box hint says "Search commands" not "Run a
+ command"/"Execute command"
Didier Roche (didrocks) on 2011-03-15
Changed in unity-place-files:
status: Triaged → Fix Committed
Changed in unity-place-applications:
status: Triaged → Fix Committed
Didier Roche (didrocks) on 2011-03-16
Changed in unity:
status: Triaged → Fix Committed
Didier Roche (didrocks) on 2011-03-16
Changed in unity (Ubuntu Natty):
status: Triaged → Fix Committed
Didier Roche (didrocks) on 2011-03-16
Changed in unity-place-applications (Ubuntu Natty):
status: New → Fix Committed
Changed in unity-place-files (Ubuntu Natty):
status: New → Fix Committed
Didier Roche (didrocks) on 2011-03-17
Changed in unity:
status: Fix Committed → Fix Released
Changed in unity-place-applications:
status: Fix Committed → Fix Released
Changed in unity-place-files:
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package unity-place-files - 0.5.44-0ubuntu1

---------------
unity-place-files (0.5.44-0ubuntu1) natty; urgency=low

  * New upstream release.
    - Dash: Change the "Search" wrap (LP: #733897)
  * debian/control:
    - dep on latest dee
 -- Didier Roche <email address hidden> Thu, 17 Mar 2011 16:18:18 +0100

Changed in unity-place-files (Ubuntu Natty):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package unity-place-applications - 0.2.40-0ubuntu1

---------------
unity-place-applications (0.2.40-0ubuntu1) natty; urgency=low

  * New upstream release.
    - unity-applications-daemon crashed with SIGSEGV in
      Xapian::MSetIterator::operator*() (LP: #732945)
    - Dash: Alt-F2 box hint says "Search commands" not "Run a
      command"/"Execute command" (LP: #733897)
    - Wine applications not listed in Unity Applications Place (LP: #635223)
    - Add application through "main menu" won't work (LP: #734042)
    - Unable to scroll with wheel in unity places (LP: #732012)
    - unity about:config should launch ccsm on the unityshell plugin page
      (LP: #736765)
  * debian/control:
    - build-dep on latest dee
 -- Didier Roche <email address hidden> Thu, 17 Mar 2011 16:20:28 +0100

Changed in unity-place-applications (Ubuntu Natty):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :
Download full text (4.8 KiB)

This bug was fixed in the package unity - 3.6.6-0ubuntu1

---------------
unity (3.6.6-0ubuntu1) natty; urgency=low

  * New upstream release:
    - drag and drop from dash to launcher issues (LP: #727675)
    - unity-panel-service crashed in g_type_class_meta_marshal (LP: #727788)
    - Dash: first-use text entry does not work until Alt-F2 version is used
      (LP: #735342)
    - compiz crashed with SIGSEGV in g_type_check_instance_is_a()
      (LP: #734721)
    - drag from dash to launcher (LP: #662616)
    - Dash - Create single widget for Dashboard (LP: #683729)
    - [FFe] Recently installed applications should be easy to run
      (LP: #670403)
    - Pressing Alt key does not underline mnemonics (LP: #689179)
    - indicator-appmenu breaks Alt accelerator keys (LP: #663030)
    - can't pin KTouch to the launcher (LP: #693755)
    - Unity paints multiple times with multi-screen (LP: #727116)
    - unitymtgrabhandles crashes when no key is set (LP: #727144)
    - SIGSEGV in PlaceEntryHome::SetSearch (LP: #731927)
    - [launcher] New Default favorites (LP: #714707)
    - Dash: Alt-F2 Pressing enter on the dash can start the first entry of the
      second group from the history (LP: #734738)
    - Dash: keyboard arrow navigation disappears off bottom (LP: #735347)
    - Increase the size of the top left Launcher reveal area from 1px to a 3px
      by 3px square (LP: #736034)
    - [dash] scrollbar's clickable zone should extend to the right border of
      the dash border (LP: #651398)
    - Launcher - Replace Dash lens Launcher icons with updated versions
      (LP: #676613)
    - NuxUtilAccessible requires to implement support to key event listeners
      (LP: #702672)
    - launcher icons dnd doesn't behave correctly when the dash is in use
      (LP: #708885)
    - Keyboard-navigation: highlight stays after losing focus (LP: #713632)
    - Implement AtkComponent for ATK objects in the panel service
      (LP: #715297)
    - Super shortcuts for application place and worskspace swither conflicts
      with compiz keys (LP: #723273)
    - Use DeeIndex instead of strcmp in PlaceEntryHome (LP: #724886)
    - [dash] text cursor not vertically centred in the entry (LP: #724927)
    - Moving cursor in dash text entry field causes cursor artifacts
      (LP: #725493)
    - Missing "children_changed" event emission from the atk support
      (LP: #727137)
    - Typing should immediately search; focusing the search field is fiddly
      (LP: #727295)
    - "Find Internet Apps", "Browse the Web", and "Check Mail" are scattered
      in default Dash (LP: #729009)
    - Press-holding on a icon in the Launcher should de-couple the icon and
      enable the user to reorder the icon vertically without leaving the
      Launcher. (LP: #727922)
    - "Shortcuts" heading in Dash seems pointless (LP: #729000)
    - intellihide is incompatible with totem fullscreen / Still some false
      positive on ws switch (LP: #730679)
    - Launcher - provide visual design for launcher keyboard navigation
      (LP: #702490)
    - Dash - Update the 'Shortcuts' dash home icon (LP: #689763)
    - The Unity panel service Does not connect to the
      INDICATOR_OBJECT...

Read more...

Changed in unity (Ubuntu Natty):
status: Fix Committed → Fix Released
Ugo Riboni (uriboni) on 2011-03-18
Changed in unity-2d:
status: Confirmed → In Progress
Changed in unity-2d:
status: In Progress → Fix Committed
Changed in unity-2d:
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers